MSA-20-0006: Remote code execution possible via SCORM packages

by Michael Hawkins.  

It was possible to create a SCORM package in such a way that when added to a course, it could be interacted with via web services in order to achieve remote code execution.


Severity/Risk:Serious
Versions affected:3.8 to 3.8.2, 3.7 to 3.7.5, 3.6 to 3.6.9, 3.5 to 3.5.11 and earlier unsupported versions
Versions fixed:3.8.3, 3.7.6, 3.6.10 and 3.5.12
Reported by:Paul Holden
Workaround:Disable the 'SCORM package' activity type until the patch is applied.
CVE identifier:CVE-2020-10738
Changes (master):http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-68410
Tracker issue:MDL-68410 Remote code execution possible via SCORM packages

Read more https://moodle.org/mod/forum/discuss.php?d=403513&parent=1628593